// CLIENT

onEvent('jei.hide.items', event => {

	event.hide('create:crushed_silver_ore')
	event.hide('create:crushed_lead_ore')
	event.hide('create:crushed_aluminum_ore')
	event.hide('create:crushed_uranium_ore')
	event.hide('create:crushed_nickel_ore')

	event.hide('createaddition:connector')
	event.hide('createaddition:accumulator')
	event.hide('createaddition:redstone_relay')
	event.hide('createaddition:spool')
	event.hide('createaddition:copper_spool')
	event.hide('createaddition:copper_wire')
	event.hide('createaddition:iron_wire')
	event.hide('createaddition:gold_spool')
	event.hide('createaddition:gold_wire')
	event.hide('createaddition:tesla_coil')

	event.hide('immersiveengineering:ethanol_bucket')
	event.hide('immersiveengineering:biodiesel_bucket')
	event.hide('immersiveengineering:concrete_bucket')
	event.hide('immersiveengineering:cushion')
	event.hide('immersiveengineering:strip_curtain')
	event.hide('immersiveengineering:hempcrete')
	event.hide('immersiveengineering:concrete')
	event.hide('immersiveengineering:concrete_tile')
	event.hide('immersiveengineering:concrete_leaded')
	event.hide('immersiveengineering:concrete_sprayed')
	event.hide('immersiveengineering:concrete_sheet')
	event.hide('immersiveengineering:concrete_quarter')
	event.hide('immersiveengineering:concrete_three_quarter')
	event.hide('immersiveengineering:wooden_barrel')
	event.hide('immersiveengineering:crate')
	event.hide('immersiveengineering:reinforced_crate')
	event.hide('immersiveengineering:sorter')
	event.hide('immersiveengineering:item_batcher')
	event.hide('immersiveengineering:fluid_sorter')
	event.hide('immersiveengineering:windmill')
	event.hide('immersiveengineering:watermill')
	event.hide('immersiveengineering:metal_barrel')
	event.hide('immersiveengineering:fluid_pump')
	event.hide('immersiveengineering:fluid_placer')
	event.hide('immersiveengineering:dynamo')
	event.hide('immersiveengineering:thermoelectric_generator')
	event.hide('immersiveengineering:fluid_pipe')
	event.hide('immersiveengineering:sample_drill')
	event.hide('immersiveengineering:cloche')
	event.hide('immersiveengineering:rs_engineering')
	event.hide('immersiveengineering:heavy_engineering')
	event.hide('immersiveengineering:light_engineering')
	event.hide('immersiveengineering:generator')
	event.hide('immersiveengineering:radiator')
	event.hide('immersiveengineering:alu_fence')
	event.hide('immersiveengineering:alu_wallmount')
	event.hide('immersiveengineering:steel_post')
	event.hide('immersiveengineering:treated_post')
	event.hide('immersiveengineering:alu_post')
	event.hide('immersiveengineering:lantern')
	event.hide('immersiveengineering:alu_slope')
	event.hide('immersiveengineering:sheetmetal_copper')
	event.hide('immersiveengineering:slab_sheetmetal_copper')
	event.hide('immersiveengineering:sheetmetal_aluminum')
	event.hide('immersiveengineering:slab_sheetmetal_aluminum')
	event.hide('immersiveengineering:ore_aluminum')
	event.hide('immersiveengineering:deepslate_ore_aluminum')
	event.hide('immersiveengineering:raw_block_aluminum')
	event.hide('immersiveengineering:storage_aluminum')
	event.hide('immersiveengineering:slab_storage_aluminum')
	event.hide('immersiveengineering:sheetmetal_lead')
	event.hide('immersiveengineering:slab_sheetmetal_lead')
	event.hide('immersiveengineering:ore_lead')
	event.hide('immersiveengineering:deepslate_ore_lead')
	event.hide('immersiveengineering:raw_block_lead')
	event.hide('immersiveengineering:storage_lead')
	event.hide('immersiveengineering:slab_storage_lead')
	event.hide('immersiveengineering:sheetmetal_silver')
	event.hide('immersiveengineering:slab_sheetmetal_silver')
	event.hide('immersiveengineering:ore_silver')
	event.hide('immersiveengineering:deepslate_ore_silver')
	event.hide('immersiveengineering:raw_block_silver')
	event.hide('immersiveengineering:storage_silver')
	event.hide('immersiveengineering:slab_storage_silver')
	event.hide('immersiveengineering:sheetmetal_nickel')
	event.hide('immersiveengineering:slab_sheetmetal_nickel')
	event.hide('immersiveengineering:ore_nickel')
	event.hide('immersiveengineering:deepslate_ore_nickel')
	event.hide('immersiveengineering:raw_block_nickel')
	event.hide('immersiveengineering:storage_nickel')
	event.hide('immersiveengineering:slab_storage_nickel')
	event.hide('immersiveengineering:sheetmetal_uranium')
	event.hide('immersiveengineering:slab_sheetmetal_uranium')
	event.hide('immersiveengineering:ore_uranium')
	event.hide('immersiveengineering:deepslate_ore_uranium')
	event.hide('immersiveengineering:raw_block_uranium')
	event.hide('immersiveengineering:storage_uranium')
	event.hide('immersiveengineering:slab_storage_uranium')
	event.hide('immersiveengineering:sheetmetal_constantan')
	event.hide('immersiveengineering:slab_sheetmetal_constantan')
	event.hide('immersiveengineering:storage_constantan')
	event.hide('immersiveengineering:slab_storage_constantan')
	event.hide('immersiveengineering:sheetmetal_electrum')
	event.hide('immersiveengineering:slab_sheetmetal_electrum')
	event.hide('immersiveengineering:slab_storage_electrum')
	event.hide('immersiveengineering:sheetmetal_steel')
	event.hide('immersiveengineering:slab_sheetmetal_steel')
	event.hide('immersiveengineering:storage_steel')
	event.hide('immersiveengineering:slab_storage_steel')
	event.hide('immersiveengineering:sheetmetal_iron')
	event.hide('immersiveengineering:slab_sheetmetal_iron')
	event.hide('immersiveengineering:sheetmetal_gold')
	event.hide('immersiveengineering:slab_sheetmetal_gold')
	event.hide('immersiveengineering:sawdust')
	event.hide('immersiveengineering:fiberboard')
	event.hide('immersiveengineering:sheetmetal_colored_white')
	event.hide('immersiveengineering:slab_sheetmetal_colored_white')
	event.hide('immersiveengineering:sheetmetal_colored_orange')
	event.hide('immersiveengineering:slab_sheetmetal_colored_orange')
	event.hide('immersiveengineering:sheetmetal_colored_magenta')
	event.hide('immersiveengineering:slab_sheetmetal_colored_magenta')
	event.hide('immersiveengineering:sheetmetal_colored_light_blue')
	event.hide('immersiveengineering:slab_sheetmetal_colored_light_blue')
	event.hide('immersiveengineering:sheetmetal_colored_yellow')
	event.hide('immersiveengineering:slab_sheetmetal_colored_yellow')
	event.hide('immersiveengineering:sheetmetal_colored_lime')
	event.hide('immersiveengineering:slab_sheetmetal_colored_lime')
	event.hide('immersiveengineering:sheetmetal_colored_pink')
	event.hide('immersiveengineering:slab_sheetmetal_colored_pink')
	event.hide('immersiveengineering:sheetmetal_colored_gray')
	event.hide('immersiveengineering:slab_sheetmetal_colored_gray')
	event.hide('immersiveengineering:sheetmetal_colored_light_gray')
	event.hide('immersiveengineering:slab_sheetmetal_colored_light_gray')
	event.hide('immersiveengineering:sheetmetal_colored_cyan')
	event.hide('immersiveengineering:slab_sheetmetal_colored_cyan')
	event.hide('immersiveengineering:sheetmetal_colored_purple')
	event.hide('immersiveengineering:slab_sheetmetal_colored_purple')
	event.hide('immersiveengineering:sheetmetal_colored_blue')
	event.hide('immersiveengineering:slab_sheetmetal_colored_blue')
	event.hide('immersiveengineering:sheetmetal_colored_brown')
	event.hide('immersiveengineering:slab_sheetmetal_colored_brown')
	event.hide('immersiveengineering:sheetmetal_colored_green')
	event.hide('immersiveengineering:slab_sheetmetal_colored_green')
	event.hide('immersiveengineering:sheetmetal_colored_red')
	event.hide('immersiveengineering:slab_sheetmetal_colored_red')
	event.hide('immersiveengineering:sheetmetal_colored_black')
	event.hide('immersiveengineering:slab_sheetmetal_colored_black')
	event.hide('immersiveengineering:metal_ladder_alu')
	event.hide('immersiveengineering:alu_scaffolding_standard')
	event.hide('immersiveengineering:slab_alu_scaffolding_standard')
	event.hide('immersiveengineering:stairs_alu_scaffolding_standard')
	event.hide('immersiveengineering:alu_scaffolding_grate_top')
	event.hide('immersiveengineering:slab_alu_scaffolding_grate_top')
	event.hide('immersiveengineering:stairs_alu_scaffolding_grate_top')
	event.hide('immersiveengineering:alu_scaffolding_wooden_top')
	event.hide('immersiveengineering:slab_alu_scaffolding_wooden_top')
	event.hide('immersiveengineering:stairs_alu_scaffolding_wooden_top')
	event.hide('immersiveengineering:chute_iron')
	event.hide('immersiveengineering:chute_steel')
	event.hide('immersiveengineering:chute_aluminum')
	event.hide('immersiveengineering:chute_copper')
	event.hide('immersiveengineering:slab_coke')
	event.hide('immersiveengineering:slab_hempcrete')
	event.hide('immersiveengineering:slab_concrete')
	event.hide('immersiveengineering:slab_concrete_tile')
	event.hide('immersiveengineering:slab_concrete_leaded')
	event.hide('immersiveengineering:stairs_hempcrete')
	event.hide('immersiveengineering:stairs_concrete')
	event.hide('immersiveengineering:stairs_concrete_tile')
	event.hide('immersiveengineering:stairs_concrete_leaded')
	event.hide('immersiveengineering:stick_iron')
	event.hide('immersiveengineering:stick_aluminum')
	event.hide('immersiveengineering:hemp_fiber')
	event.hide('immersiveengineering:hemp_fabric')
	event.hide('immersiveengineering:waterwheel_segment')
	event.hide('immersiveengineering:windmill_blade')
	event.hide('immersiveengineering:windmill_sail')
	event.hide('immersiveengineering:wire_aluminum')
	event.hide('immersiveengineering:wire_lead')
	event.hide('immersiveengineering:dust_wood')
	event.hide('immersiveengineering:nugget_copper')
	event.hide('immersiveengineering:plate_copper')
	event.hide('immersiveengineering:ingot_aluminum')
	event.hide('immersiveengineering:nugget_aluminum')
	event.hide('immersiveengineering:raw_aluminum')
	event.hide('immersiveengineering:plate_aluminum')
	event.hide('immersiveengineering:dust_aluminum')
	event.hide('immersiveengineering:ingot_lead')
	event.hide('immersiveengineering:nugget_lead')
	event.hide('immersiveengineering:raw_lead')
	event.hide('immersiveengineering:plate_lead')
	event.hide('immersiveengineering:dust_lead')
	event.hide('immersiveengineering:ingot_silver')
	event.hide('immersiveengineering:nugget_silver')
	event.hide('immersiveengineering:raw_silver')
	event.hide('immersiveengineering:plate_silver')
	event.hide('immersiveengineering:dust_silver')
	event.hide('immersiveengineering:ingot_nickel')
	event.hide('immersiveengineering:nugget_nickel')
	event.hide('immersiveengineering:raw_nickel')
	event.hide('immersiveengineering:plate_nickel')
	event.hide('immersiveengineering:ingot_uranium')
	event.hide('immersiveengineering:nugget_uranium')
	event.hide('immersiveengineering:raw_uranium')
	event.hide('immersiveengineering:plate_uranium')
	event.hide('immersiveengineering:dust_uranium')
	event.hide('immersiveengineering:ingot_constantan')
	event.hide('immersiveengineering:nugget_constantan')
	event.hide('immersiveengineering:raw_constantan')
	event.hide('immersiveengineering:plate_constantan')
	event.hide('immersiveengineering:dust_constantan')
	event.hide('immersiveengineering:ingot_steel')
	event.hide('immersiveengineering:nugget_steel')
	event.hide('immersiveengineering:raw_steel')
	event.hide('immersiveengineering:plate_steel')
	event.hide('immersiveengineering:plate_iron')
	event.hide('immersiveengineering:plate_gold')
	event.hide('immersiveengineering:pickaxe_steel')
	event.hide('immersiveengineering:shovel_steel')
	event.hide('immersiveengineering:axe_steel')
	event.hide('immersiveengineering:hoe_steel')
	event.hide('immersiveengineering:sword_steel')
	event.hide('immersiveengineering:toolbox')
	event.hide('immersiveengineering:survey_tools')
	event.hide('immersiveengineering:glider')
	event.hide('immersiveengineering:armor_steel_feet')
	event.hide('immersiveengineering:armor_steel_legs')
	event.hide('immersiveengineering:armor_steel_chest')
	event.hide('immersiveengineering:armor_steel_head')
	event.hide('immersiveengineering:minecart_woodencrate')
	event.hide('immersiveengineering:minecart_reinforcedcrate')
	event.hide('immersiveengineering:minecart_woodenbarrel')
	event.hide('immersiveengineering:minecart_metalbarrel')
	event.hide('immersiveengineering:seed')
	event.hide( Item.of('immersiveengineering:blueprint', '{blueprint:"electrode"}') )
	event.hide( Item.of('immersiveengineering:blueprint', '{blueprint:"molds"}') )
	event.hide( Item.of('immersiveengineering:shader', '{shader_name:"immersiveengineering:rosequartz"}') )
	event.hide('immersiveengineering:graphite_electrode')
	event.hide('immersiveengineering:conveyor_basic')
	event.hide( Item.of('immersiveengineering:conveyor_basic', '{defaultCover:"immersiveengineering:steel_scaffolding_standard"}') )
	event.hide('immersiveengineering:conveyor_redstone')
	event.hide('immersiveengineering:conveyor_dropper')
	event.hide( Item.of('immersiveengineering:conveyor_dropper', '{defaultCover:"immersiveengineering:steel_scaffolding_standard"}') )
	event.hide('immersiveengineering:conveyor_vertical')
	event.hide( Item.of('immersiveengineering:conveyor_vertical', '{defaultCover:"immersiveengineering:steel_scaffolding_standard"}') )
	event.hide('immersiveengineering:conveyor_splitter')
	event.hide( Item.of('immersiveengineering:conveyor_splitter', '{defaultCover:"immersiveengineering:steel_scaffolding_standard"}') )
	event.hide('immersiveengineering:conveyor_extract')
	event.hide( Item.of('immersiveengineering:conveyor_extract', '{defaultCover:"immersiveengineering:steel_scaffolding_standard"}') )
	event.hide('immersiveengineering:cokebrick')
	event.hide('immersiveengineering:blastbrick')
	event.hide('immersiveengineering:blastbrick_reinforced')
	event.hide('immersiveengineering:alloybrick')
	event.hide('immersiveengineering:gunpowder_barrel')
	event.hide('immersiveengineering:blastfurnace_preheater')
	event.hide('immersiveengineering:slab_cokebrick')
	event.hide('immersiveengineering:slab_blastbrick')
	event.hide('immersiveengineering:slab_blastbrick_reinforced')
	event.hide('immersiveengineering:slab_alloybrick')
	event.hide('immersiveengineering:fluorescent_tube')
	event.hide( Item.of('immersiveengineering:potion_bucket', '{Potion:"minecraft:awkward"}') )
	event.hide('immersiveengineering:mold_plate')
	event.hide('immersiveengineering:mold_gear')
	event.hide('immersiveengineering:mold_rod')
	event.hide('immersiveengineering:mold_bullet_casing')
	event.hide('immersiveengineering:mold_wire')
	event.hide('immersiveengineering:mold_packing_4')
	event.hide('immersiveengineering:mold_packing_9')
	event.hide('immersiveengineering:mold_unpacking')
	event.hide('immersiveengineering:electron_tube')
	event.hide('immersiveengineering:dust_hop_graphite')
	event.hide('immersiveengineering:ingot_hop_graphite')
	event.hide('immersiveengineering:dust_electrum')
	event.hide('immersiveengineering:dust_nickel')
	event.hide('immersiveengineering:dust_iron')
	event.hide('immersiveengineering:dust_coke')
	event.hide('immersiveengineering:slag')
	event.hide('immersiveengineering:slag_glass')
	event.hide('immersiveengineering:slag_gravel')
	event.hide('immersiveengineering:plantoil_bucket')
	event.hide('immersiveengineering:dust_copper')
	event.hide('immersiveengineering:dust_steel')
	event.hide('immersiveengineering:dust_gold')

	event.hide('immersiveposts:fence_lead')
	event.hide('immersiveposts:fence_silver')
	event.hide('immersiveposts:fence_constantan')
	event.hide('immersiveposts:fence_uranium')
	event.hide('immersiveposts:stick_gold')
	event.hide('immersiveposts:stick_copper')
	event.hide('immersiveposts:stick_lead')
	event.hide('immersiveposts:stick_silver')
	event.hide('immersiveposts:stick_constantan')
	event.hide('immersiveposts:stick_uranium')

	event.hide('supplementaries:lead_lantern')
	event.hide('supplementaries:lead_door')
	event.hide('supplementaries:lead_trapdoor')
	event.hide('supplementaries:silver_lantern')
	event.hide('supplementaries:silver_door')
	event.hide('supplementaries:silver_trapdoor')

})

onEvent('jei.hide.fluids', event => {

	event.hide('immersiveengineering:biodiesel')
	event.hide('immersiveengineering:concrete')
	event.hide('immersiveengineering:ethanol')
	event.hide('immersiveengineering:plantoil')
	event.hide('immersiveengineering:potion')

})

onEvent('jei.remove.categories', event => {

    event.remove('immersiveengineering:arcfurnace_recycling')
	event.remove('immersiveengineering:arcfurnace')
	event.remove('immersiveengineering:blastfurnace_fuel')
	event.remove('immersiveengineering:bottlingmachine')
	event.remove('immersiveengineering:cokeoven')
	event.remove('immersiveengineering:metalpress')
	event.remove('immersiveengineering:mixer')

})

onEvent('item.tooltip', tooltip => {

	tooltip.add('immersiveengineering:manual', Text.red('Contains A LOT of disabled content.'))
	
})